# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLMetadataContext

Packages that use SAMLMetadataContext
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.

## Uses of SAMLMetadataContext in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl with type parameters of type SAMLMetadataContext
Modifier and Type
Field
Description
`private Function<MessageContext,SAMLMetadataContext>`
SAMLMetadataLookupHandler.`copyContextStrategy`
Optional strategy for resolving an existing metadata context from which to copy data.
`private Function<MessageContext,SAMLMetadataContext>`
PopulateSignatureSigningParametersHandler.`metadataContextLookupStrategy`
Strategy used to look up a SAML metadata context.
`private Function<MessageContext,SAMLMetadataContext>`
SAMLAddAttributeConsumingServiceHandler.`metadataContextLookupStrategy`
Lookup strategy for `SAMLMetadataContext`.
Methods in org.opensaml.saml.common.binding.impl that return SAMLMetadataContext
Modifier and Type
Method
Description
`protected SAMLMetadataContext`
SAMLMetadataLookupHandler.`resolveExisting(MessageContext messageContext, String entityID, QName role)`
Attempt to resolve an existing `SAMLMetadataContext` from which to copy.
Method parameters in org.opensaml.saml.common.binding.impl with type arguments of type SAMLMetadataContext
Modifier and Type
Method
Description
`void`
SAMLMetadataLookupHandler.`setCopyContextStrategy(Function<MessageContext,SAMLMetadataContext> strategy)`
Set the optional strategy for resolving an existing metadata context from which to copy data.
`void`
PopulateSignatureSigningParametersHandler.`setMetadataContextLookupStrategy(Function<MessageContext,SAMLMetadataContext> strategy)`
Set lookup strategy for `SAMLMetadataContext` for input to resolution.
`void`
SAMLAddAttributeConsumingServiceHandler.`setMetadataContextLookupStrategy(Function<MessageContext,SAMLMetadataContext> strategy)`
Set the strategy to locate the `SAMLMetadataContext` from the `MessageContext`.

## Uses of SAMLMetadataContext in org.opensaml.saml.common.messaging.context.navigate

Methods in org.opensaml.saml.common.messaging.context.navigate with parameters of type SAMLMetadataContext
Modifier and Type
Method
Description
`EntityDescriptor`
EntityDescriptorLookupFunction.`apply(SAMLMetadataContext input)`

## Uses of SAMLMetadataContext in org.opensaml.saml.common.profile.impl

Fields in org.opensaml.saml.common.profile.impl with type parameters of type SAMLMetadataContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SAMLMetadataContext>`
PopulateSignatureSigningParameters.`metadataContextLookupStrategy`
Strategy used to look up a SAML metadata context.
Method parameters in org.opensaml.saml.common.profile.impl with type arguments of type SAMLMetadataContext
Modifier and Type
Method
Description
`void`
PopulateSignatureSigningParameters.`setMetadataContextLookupStrategy(Function<ProfileRequestContext,SAMLMetadataContext> strategy)`
Set lookup strategy for `SAMLMetadataContext` for input to resolution.